Page MenuHomePhabricator

FY2017/18-Q4: Prove viability of testing staged service containers alongside MediaWiki extension containers
Closed, ResolvedPublic

Description

For Program 6 Outcome 2 Objective 2... (filling out the twenty-seven-b-stroke-6.)

To prove the viability of testing staged service containers alongside isolated deployments of MediaWiki and the service's complementary extension, within the context of the existing release pipeline, we aim to:

  1. Build a minimal MediaWiki core image using Blubber
  2. Have that image be built upon merges to mediawiki/core (TODO: currently deployed branch or master?)
  3. Build a core+extensions/Math image using Blubber and the core image as a base
  4. Have that image be built upon merges to mediawiki/extensions/Math (TODO: do we want master or currently deployed version?)
  5. Create charts for MW+Math and dependent services (including MariaDB, Apache)
  6. Implement helm test for Mathoid that deploys MW+Math and executes e2e tests.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2018, 5:57 PM
dduvall updated the task description. (Show Details)May 3 2018, 5:59 PM
Vvjjkkii renamed this task from FY2017/18-Q4: Prove viability of testing staged service containers alongside MediaWiki extension containers to modaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
thcipriani updated the task description. (Show Details)Jul 1 2018, 6:31 PM
thcipriani renamed this task from modaaaaaaa to FY2017/18-Q4: Prove viability of testing staged service containers alongside MediaWiki extension containers.
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 6:36 PM
thcipriani closed this task as Resolved.Jul 16 2018, 7:26 PM
thcipriani claimed this task.